org.apache.lucene.benchmark.byTask.utils

## Class FileUtils

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.utils.FileUtils

-     public class FileUtils
      extends java.lang.Object

  File utilities.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `fullyDelete(java.io.File dir)` Delete files and directories, even if non-empty.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileUtils

          public FileUtils()

  - ### Method Detail

    - #### fullyDelete

          public static boolean fullyDelete(java.io.File dir)
                                     throws java.io.IOException

      Delete files and directories, even if non-empty.
      Parameters:
        `dir` - file or directory
      Returns:
        true on success, false if no or part of files have been deleted
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.